Mount&Blade Warband | OS X and Linux Support

Swyter

Grandmaster Knight
WBM&BWF&S
Best answers
0
drmoth said:
Swyter said:
The Last Days working on Linux right now
Hi Swyter, I almost jumped out of my seat when I saw your spoiler. Is this complete? I'm assuming not...(I downloaded the latest nightlies and I can't see any GLSL stuff). I had a look at the Trello and it looks to be in progress. I would be very very excited to have your mod ported to Linux, this would make my day. Where will you announce it when it's done?
Haha. I'll probably post a comment in the Steam Workshop profile. I think that you can also subscribe to the Trello card so that you get e-mail notifications.
 

drmoth

Recruit
Best answers
0
Swyter said:
drmoth said:
Swyter said:
The Last Days working on Linux right now
Hi Swyter, I almost jumped out of my seat when I saw your spoiler. Is this complete? I'm assuming not...(I downloaded the latest nightlies and I can't see any GLSL stuff). I had a look at the Trello and it looks to be in progress. I would be very very excited to have your mod ported to Linux, this would make my day. Where will you announce it when it's done?
Haha. I'll probably post a comment in the Steam Workshop profile. I think that you can also subscribe to the Trello card so that you get e-mail notifications.
Fantastic. I mentioned this on /r/linux_gaming so there are others interested too. I noticed that your GLSL font changes etc are indeed in the nightlies. I copied the mod across but couldn't get it to launch unfortunately, but Warband is occasionally unstable like that so maybe I'll run it from the command line and see what it does. If you ever want any testing, let me know.
 

Kenairod

Recruit
NWWF&SWBVC
Best answers
0
I did not have the courage to read the 17 pages, and someone asked at the first page but no one answered him. Is there a link somewhere to download the linux executable files on the TaleWorlds website just as I can do with the windows .exe when I go to the games linked to my account ?
 

Swyter

Grandmaster Knight
WBM&BWF&S
Best answers
0
Kenairod said:
I did not have the courage to read the 17 pages, and someone asked at the first page but no one answered him. Is there a link somewhere to download the linux executable files on the TaleWorlds website just as I can do with the windows .exe when I go to the games linked to my account ?
No, there is not. But if you take a look a few pages back you might be interested in knowing that one can easily use the Linux version without Steam.
You could even do a personal standalone version. The only thing you lose is achievements and Workshop integration.


@drmoth: By the way, I started porting the TLD shaders to GLSL yesterday. It's quite playable in Linux already. Download it from
Code:
https://tldmod.github.io/
.
 

Ateway

One of the most annoying thing with Warband in OS X, is the mouse location reset (to the middle of the screen) when you click in the multiplayer menu, to choose between factions/troops/items.

Even worst, when people choose their faction at the beginning of a match, causing the faction with more player to go "grey", reseting your mouse location to the middle of the screen. Meaning Mac OS X player simply can't choose their faction and are lead to playing the underpopulated faction, because It's most of the time to only choice available.

It's been like this since the beginning, so I totally lose hope of a fix but hey, a man can dream..
 

Swyter

Grandmaster Knight
WBM&BWF&S
Best answers
0
Ateway said:
One of the most annoying thing with Warband in OS X, is the mouse location reset (to the middle of the screen) when you click in the multiplayer menu, to choose between factions/troops/items.

Even worst, when people choose their faction at the beginning of a match, causing the faction with more player to go "grey", reseting your mouse location to the middle of the screen. Meaning Mac OS X player simply can't choose their faction and are lead to playing the underpopulated faction, because It's most of the time to only choice available.

It's been like this since the beginning, so I totally lose hope of a fix but hey, a man can dream..
The Mac OS X version is pretty broken from what I've heard, people seem to have trouble with custom fonts used by many mods (the
Code:
font_data.xml
overriding seems broken).
Workshop and mod switching support is broken for me in the Linux version, probably something wrong with the Qt config tool.
 

Ateway

Swyter said:
Ateway said:
One of the most annoying thing with Warband in OS X, is the mouse location reset (to the middle of the screen) when you click in the multiplayer menu, to choose between factions/troops/items.

Even worst, when people choose their faction at the beginning of a match, causing the faction with more player to go "grey", reseting your mouse location to the middle of the screen. Meaning Mac OS X player simply can't choose their faction and are lead to playing the underpopulated faction, because It's most of the time to only choice available.

It's been like this since the beginning, so I totally lose hope of a fix but hey, a man can dream..
The Mac OS X version is pretty broken from what I've heard, people seem to have trouble with custom fonts used by many mods (the
Code:
font_data.xml
overriding seems broken).
Workshop and mod switching support is broken for me in the Linux version, probably something wrong with the Qt config tool.
Never used any mods on OS X. I tried to make cRPG work with Wineskin once... What a complete waste of time.
The OS X version is not broken. There's some crashs of course, but except the mouse issue mentioned earlier, nothing wrong with it, and I enjoyed it for many hours on my macbook, while traveling.
 

drmoth

Recruit
Best answers
0
@drmoth: By the way, I started porting the TLD shaders to GLSL yesterday. It's quite playable in Linux already.
Oh NO! There goes my productivity!!

Huge thanks @Swyter, you are a legend.
 

Antrix

Recruit
Best answers
0
Hi all! I have a question about one "problem"... mouse cursor is a system default but not like ingame spear. Is there any solution to fix this?
 

Eolith

Recruit
Best answers
0
ShaneRoach said:
libgcrypt.so.11: cannot open shared object file: No such file or directory

This file is IN the folder. It is in the same folder I added libGLEW.so.1.10 to (/home/USER/.steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu)  so why it's now finding that file but not another one that is in the exact same folder I cannot begin to fathom.
I had this same issue, although with two different libraries.  The methods outlined above did not work for me (i.e. using the startup script and creating the .local/Steam/... path with copies of the libraries in it.)  I ended up having to copy them into /usr/lib/i386-linux-gnu/ via command line.  Evidently, setting the LD_LIBRARY_PATH variable is not sufficient in Ubuntu Linux: at least one of the configuration files that etc/ld.so.conf points to has to be updated, also.

ShaneRoach said:
and for whatever reason the path is slightly different on my computer for .steam

LD_LIBRARY_PATH="$HOME/.steam/steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu
Confirmed.  I also have no ubuntu12_32 folder under ~/.steam/steam .  I had to change the path to ~/.steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu .

Unfortunately, I still do not have the game running.  When I use the original script provided by Swyter (with the change noted in the previous paragraph), I receive the error "sh: 0: -c requires an argument" .  It appears that the -n argument is set by default, but, for whatever reason, Ubuntu is not recognizing it without the argument being explicitly specified.  The description of the -n option says "If not interactive, read commands but do not execute them.  This is useful for checking the syntax of shell scripts."  So, I tried turning it off:
Code:
 sh -c +n `cd ~/.steam/steam/steamapps/common/MountBlade\ Warband/ && env LD_LIBRARY_PATH="$HOME/.steam/steam/ubuntu12_32/steam-runtime/i386/usr/lib/i386-linux-gnu:$HOME/.local/share/Steam/ubuntu12_32/steam-runtime/i386/lib/i386-linux-gnu:." ./mb_warband_linux'
For about 3 or 4 minutes, my CPU usage shot up over 50%, with the sh shell holding the vast majority of the usage.  Then it dropped back to 2-4%, and it has stayed there for the last half hour.  The terminal window shows a single " > " after my input, but no error message and no command prompt.

Does anyone have any thoughts on what the issue might be?
 

lahtis

Recruit
Best answers
0
if i have a 2 DLC in steam in Warband. How to choose correct dlc module if configure mount&blade:Warband (choose module) not working. It is crashing when started.

if im try starting mbw_config.sh in terminal my log is:

Code:
~/.steam/steamapps/common/MountBlade Warband$ ./mbw_config.sh
Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.48: jaettua objektitiedostoa ei voi avata: Tiedostoa tai hakemistoa ei ole)" 
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 72: non-double matrix element
Fontconfig error: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 72: non-double matrix element
Fontconfig warning: "/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 80: saw unknown, expected number
QGtkStyle was unable to detect the current GTK+ theme.
Setting breakpad minidump AppID = 48700
Steam_SetMinidumpSteamID:  Caching Steam ID:  76561197981014556 [API loaded no]
Cannot mix incompatible Qt library (version 0x40807) with this library (version 0x40801)
Aborted (core dumped)
Code:
./mbw_config_linux 
./mbw_config_linux: error while loading shared libraries: libsteam_api.so: cannot open shared object file: No such file or directory
Using 64-bit Ubuntu 16.04.02 LTS.  Using UNITY not QT.

What information you needed to fix this problem.
 

Eolith

Recruit
Best answers
0
Iahtis, the script I was trying to get working (on Xubuntu 15.10) is related to your issue, I think.  The two pages before your post have some discussion of that script and one for mbw_config.

I eventually ended up doing a PlayOnLinux setup like Imas suggested on the Steam forums (http://steamcommunity.com/app/48700/discussions/0/45350791459137130/?ctp=124 is the direct link to that page) and that has worked well for me, though I get an extremely annoying graphics glitch when fighting Mountain Bandits in the Floris Mod Pack or Warg Riders in TLD.  Other than that, the PlayOnLinux setup works about the same for me as playing Warband on native Windows, except that under Linux I actually have some kind of warning before the game crashes!  (The warning is simply the game hanging a moment on the main map.  When that happens, I know a crash is coming either in the next minute, or some time during the next half hour or so.)
 

Volgeir

Recruit
Best answers
0
Hallo!

I've been having massive issues with the Mac OSX version of Warband. Namely, very numerous crashes. These crashes almost always seem to happen randomly when I load into a new area, click into a different tab, close menus, hit enemies (and get hit by enemies) etc. It's always a straight-to-desktop crash

I experience the crashes on both Native and modded Warband, but they seem to get more frequent with very complex/detailed mods (ie. Nova Aetas / ACOK). I have co-existed peacefully with these crashes for more than a year now, but I can't stand it anymore. I can't read code, or understand what happens in file directories, so I haven't been able to solve the problem myself.

Has this issue already been dealt with?

Help me Mac OSX Support Team, you're my only hope.
 

raestloz

Recruit
Best answers
0
Anyone managed to get HDR and Anti-aliasing to work together?

I have these rigs:

1. Laptop with Intel i5-6400 and Intel HD Graphics 520, Xubuntu 17.10

2. Desktop with AMD FX-6300 and AMD R9 270X, Lubuntu 17.10

Both machines can't get HDR and anti-aliasing work together, but both machines can have HDR and antialiasing in Windows version

If I disable HDR in game, the anti-aliasing kicks in; if I enable HDR the anti-aliasing is disabled.
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
I can no longer run mount&blade: warband. For some reason the binary changed between now and last month requiring glib2.27. My system still uses glib2.24.

Could you kindly provide a way to revert back to a previous build? Beside I never managed to run mb:w linux without steam.

Code:
$ aptitude show libc6
Package: libc6                           
Version: 2.24-11+deb9u3
State: installed
Automatically installed: no
Multi-Arch: same
Priority: required
Section: libs
Maintainer: GNU Libc Maintainers <[email protected]>
Architecture: amd64
Uncompressed Size: 10.9 M
Depends: libgcc1
Suggests: glibc-doc, debconf | debconf-2.0, libc-l10n, locales
Breaks: hurd (< 1:0.5.git20140203-1), libtirpc1 (< 0.2.3), locales (< 2.24), locales-all (< 2.24), lsb-core (<= 3.2-27), nscd (< 2.24), locales:i386 (< 2.24), nscd:i386 (< 2.24), libc6:i386 (!=
        2.24-11+deb9u3), libtirpc1:i386 (< 0.2.3), locales-all:i386 (< 2.24), lsb-core:i386 (<= 3.2-27)
Replaces: libc6-amd64, libc6-amd64:i386, libc6:i386 (< 2.24-11+deb9u3)
Description: GNU C Library: Shared libraries
 
Homepage: http://www.gnu.org/software/libc/libc.html
Tags: role::shared-lib
Code:
/mnt/Garyx/usr/bellu/SteamLibrary/steamapps/common/MountBlade Warband/mb_warband_linux: /lib/i386-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /mnt/Garyx/usr/bellu/SteamLibrary/steamapps/common/MountBlade Warband/mb_warband_linux)
Code:
$ ldd mb_warband_linux
./mb_warband_linux: /lib/i386-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by ./mb_warband_linux)
	linux-gate.so.1 (0xf7758000)
	libGL.so.1 => /usr/lib/i386-linux-gnu/libGL.so.1 (0xf76b1000)
	libGLEW.so.2.1 => not found
	libSDL2-2.0.so.0 => /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0 (0xf7580000)
	libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf7563000)
	libcurl-gnutls.so.4 => /usr/lib/i386-linux-gnu/libcurl-gnutls.so.4 (0xf74d5000)
	libfmodex.so => not found
	libsteam_api.so => not found
	libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf735b000)
	libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf7306000)
	libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf72e8000)
	libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf7131000)
	/lib/ld-linux.so.2 (0xf775a000)
	libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xf7105000)
	libxcb-dri3.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri3.so.0 (0xf7101000)
	libxcb-present.so.0 => /usr/lib/i386-linux-gnu/libxcb-present.so.0 (0xf70fd000)
	libxcb-sync.so.1 => /usr/lib/i386-linux-gnu/libxcb-sync.so.1 (0xf70f5000)
	libxshmfence.so.1 => /usr/lib/i386-linux-gnu/libxshmfence.so.1 (0xf70f2000)
	libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0xf70d6000)
	libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf70c1000)
	libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xf70bd000)
	libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xf70b6000)
	libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0xf70b3000)
	libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6f65000)
	libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf6f37000)
	libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0xf6f1a000)
	libxcb-dri2.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri2.so.0 (0xf6f14000)
	libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0xf6f0d000)
	libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0xf6efb000)
	libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf6ef6000)
	libasound.so.2 => /usr/lib/i386-linux-gnu/libasound.so.2 (0xf6dd2000)
	libpulse-simple.so.0 => /usr/lib/i386-linux-gnu/libpulse-simple.so.0 (0xf6dcc000)
	libpulse.so.0 => /usr/lib/i386-linux-gnu/libpulse.so.0 (0xf6d72000)
	libsndio.so.6.1 => /usr/lib/i386-linux-gnu/libsndio.so.6.1 (0xf6d60000)
	libXcursor.so.1 => /usr/lib/i386-linux-gnu/libXcursor.so.1 (0xf6d54000)
	libXinerama.so.1 => /usr/lib/i386-linux-gnu/libXinerama.so.1 (0xf6d4e000)
	libXi.so.6 => /usr/lib/i386-linux-gnu/libXi.so.6 (0xf6d3b000)
	libXrandr.so.2 => /usr/lib/i386-linux-gnu/libXrandr.so.2 (0xf6d2e000)
	libXss.so.1 => /usr/lib/i386-linux-gnu/libXss.so.1 (0xf6d2b000)
	libwayland-egl.so.1 => /usr/lib/i386-linux-gnu/libwayland-egl.so.1 (0xf6d28000)
	libwayland-client.so.0 => /usr/lib/i386-linux-gnu/libwayland-client.so.0 (0xf6d1a000)
	libwayland-cursor.so.0 => /usr/lib/i386-linux-gnu/libwayland-cursor.so.0 (0xf6d11000)
	libxkbcommon.so.0 => /usr/lib/i386-linux-gnu/libxkbcommon.so.0 (0xf6ccc000)
	librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf6cc3000)
	libnghttp2.so.14 => /usr/lib/i386-linux-gnu/libnghttp2.so.14 (0xf6c9a000)
	libidn2.so.0 => /usr/lib/i386-linux-gnu/libidn2.so.0 (0xf6c76000)
	librtmp.so.1 => /usr/lib/i386-linux-gnu/librtmp.so.1 (0xf6c53000)
	libssh2.so.1 => /usr/lib/i386-linux-gnu/libssh2.so.1 (0xf6c20000)
	libpsl.so.5 => /usr/lib/i386-linux-gnu/libpsl.so.5 (0xf6c11000)
	libnettle.so.6 => /usr/lib/i386-linux-gnu/libnettle.so.6 (0xf6bd4000)
	libgnutls.so.30 => /usr/lib/i386-linux-gnu/libgnutls.so.30 (0xf6a0f000)
	libgssapi_krb5.so.2 => /usr/lib/i386-linux-gnu/libgssapi_krb5.so.2 (0xf69bd000)
	libkrb5.so.3 => /usr/lib/i386-linux-gnu/libkrb5.so.3 (0xf68e1000)
	libk5crypto.so.3 => /usr/lib/i386-linux-gnu/libk5crypto.so.3 (0xf68ab000)
	libcom_err.so.2 => /lib/i386-linux-gnu/libcom_err.so.2 (0xf68a6000)
	liblber-2.4.so.2 => /usr/lib/i386-linux-gnu/liblber-2.4.so.2 (0xf6896000)
	libldap_r-2.4.so.2 => /usr/lib/i386-linux-gnu/libldap_r-2.4.so.2 (0xf683d000)
	libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf6820000)
	libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf681c000)
	libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf6815000)
	libpulsecommon-10.0.so => /usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-10.0.so (0xf6786000)
	libcap.so.2 => /lib/i386-linux-gnu/libcap.so.2 (0xf6780000)
	libdbus-1.so.3 => /lib/i386-linux-gnu/libdbus-1.so.3 (0xf6725000)
	libbsd.so.0 => /lib/i386-linux-gnu/libbsd.so.0 (0xf6709000)
	libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf66fd000)
	libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf66f4000)
	libunistring.so.0 => /usr/lib/i386-linux-gnu/libunistring.so.0 (0xf65dc000)
	libhogweed.so.4 => /usr/lib/i386-linux-gnu/libhogweed.so.4 (0xf65a6000)
	libgmp.so.10 => /usr/lib/i386-linux-gnu/libgmp.so.10 (0xf6518000)
	libgcrypt.so.20 => /lib/i386-linux-gnu/libgcrypt.so.20 (0xf6449000)
	libp11-kit.so.0 => /usr/lib/i386-linux-gnu/libp11-kit.so.0 (0xf63e7000)
	libidn.so.11 => /lib/i386-linux-gnu/libidn.so.11 (0xf63b3000)
	libtasn1.so.6 => /usr/lib/i386-linux-gnu/libtasn1.so.6 (0xf639e000)
	libkrb5support.so.0 => /usr/lib/i386-linux-gnu/libkrb5support.so.0 (0xf6391000)
	libkeyutils.so.1 => /lib/i386-linux-gnu/libkeyutils.so.1 (0xf638c000)
	libresolv.so.2 => /lib/i386-linux-gnu/libresolv.so.2 (0xf6374000)
	libsasl2.so.2 => /usr/lib/i386-linux-gnu/libsasl2.so.2 (0xf6354000)
	libICE.so.6 => /usr/lib/i386-linux-gnu/libICE.so.6 (0xf6337000)
	libSM.so.6 => /usr/lib/i386-linux-gnu/libSM.so.6 (0xf632d000)
	libXtst.so.6 => /usr/lib/i386-linux-gnu/libXtst.so.6 (0xf6325000)
	libsystemd.so.0 => /lib/i386-linux-gnu/libsystemd.so.0 (0xf6293000)
	libwrap.so.0 => /lib/i386-linux-gnu/libwrap.so.0 (0xf6288000)
	libsndfile.so.1 => /usr/lib/i386-linux-gnu/libsndfile.so.1 (0xf61fb000)
	libasyncns.so.0 => /usr/lib/i386-linux-gnu/libasyncns.so.0 (0xf61f4000)
	libgpg-error.so.0 => /lib/i386-linux-gnu/libgpg-error.so.0 (0xf61dd000)
	libuuid.so.1 => /lib/i386-linux-gnu/libuuid.so.1 (0xf61d7000)
	libselinux.so.1 => /lib/i386-linux-gnu/libselinux.so.1 (0xf61a8000)
	liblzma.so.5 => /lib/i386-linux-gnu/liblzma.so.5 (0xf617c000)
	liblz4.so.1 => /usr/lib/i386-linux-gnu/liblz4.so.1 (0xf6169000)
	libnsl.so.1 => /lib/i386-linux-gnu/libnsl.so.1 (0xf614f000)
	libFLAC.so.8 => /usr/lib/i386-linux-gnu/libFLAC.so.8 (0xf60f0000)
	libogg.so.0 => /usr/lib/i386-linux-gnu/libogg.so.0 (0xf60e7000)
	libvorbis.so.0 => /usr/lib/i386-linux-gnu/libvorbis.so.0 (0xf60bb000)
	libvorbisenc.so.2 => /usr/lib/i386-linux-gnu/libvorbisenc.so.2 (0xf602f000)
	libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf5fb6000)
 

Derps9

Recruit
Best answers
0
Hello, after 2 weeks of trying to debug the issue of making my linux M&B work with the new patch that tale worlds put out, i have come here to see if i can get a link to a fix or just instructions on how to fix this error right here
here is the error i get when i try to install the new update of the game.
https://imgur.com/a/HUewFDh

Thanks, Hopefully someone can help :smile:
 

xrogaan

Recruit
WBM&BWF&S
Best answers
0
Derps9 said:
Hello, after 2 weeks of trying to debug the issue of making my linux M&B work with the new patch that tale worlds put out, i have come here to see if i can get a link to a fix or just instructions on how to fix this error right here
here is the error i get when i try to install the new update of the game.
https://imgur.com/a/HUewFDh

Thanks, Hopefully someone can help :smile:
Try to remove the download cache. Pretty sure .DS_Store shouldn't be in there.